> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Filing Preference

> Get filing preference for a return period for authenticated taxpayer

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/common/get_filing_preference.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/preference
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/preference:
    get:
      tags:
        - Taxpayer
        - Returns
      summary: Get Preference
      description: Get Preference
      operationId: getPreference
      parameters:
        - name: financial_year
          in: query
          description: ''
          required: false
          schema:
            type: string
            example: FY 2024-25
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          response:
                            type: array
                            items:
                              type: object
                              properties:
                                preference:
                                  type: string
                                  example: M
                                quarter:
                                  type: string
                                  example: Q1
                            example:
                              - preference: M
                                quarter: Q1
                              - preference: M
                                quarter: Q2
                              - preference: M
                                quarter: Q3
                              - preference: M
                                quarter: Q4
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: string
                    example: '1685540172000'
                  transaction_id:
                    type: string
                    example: 3733caed-31b1-45db-8cfa-0144afd983eb
              examples:
                Success:
                  summary: Success
                  value:
                    code: 200
                    data:
                      data:
                        response:
                          - preference: M
                            quarter: Q1
                          - preference: M
                            quarter: Q2
                          - preference: M
                            quarter: Q3
                          - preference: M
                            quarter: Q4
                      status_cd: '1'
                    timestamp: '1685540172000'
                    transaction_id: 3733caed-31b1-45db-8cfa-0144afd983eb
          headers: {}
      deprecated: false
      security: []

````